RPASTE(1)

NAME

rpaste - a CLI tool for rustypaste

SYNOPSIS

rpaste [OPTIONS] <FILE(s)>

OPTIONS

-h, --help
    prints help information

-v, --version
    prints version information

-V, --server-version
    retrieves the server version

-l, --list
    lists files on the server

-d, --delete
    delete files from server

-o, --oneshot
    generates one shot links

-p, --pretty
    prettifies the output

-c, --config CONFIG sets the configuration file

-s, --server SERVER sets the address of the rustypaste server

-a, --auth TOKEN
    sets the authentication token

-u, --url URL
    sets the URL to shorten

-r, --remote URL
    sets the remote URL for uploading

-e, --expire TIME
    sets the expiration time for the link

-n, --filename NAME
    sets and overrides the filename

CONFIGURATION
A TOML file can be used to configure rpaste settings.

[server]

    •   address: address of the rustypaste server

    •   auth_token: authentication token

[paste]

    •   oneshot: generate one shot links if set to true

    •   expire: expiration time for the links

[style]

    •   prettify: prettify the output if set to true

BUGS
Report bugs at <https://github.com/orhun/rustypaste-cli> or contact the author via email.

ABOUT

rustypaste-cli is maintained by Orhun Parmaksız <orhunparmaksiz@gmail.com>, and released under the MIT license.

See the project homepage at <https://github.com/orhun/rustypaste-cli> for full documentation.

SEE ALSO

<https://github.com/orhun/rustypaste>